# =========================================================================== #
# Gemspec for Project Opn.
# =========================================================================== #
require 'opn/version/version.rb'
require 'roebe/toplevel_methods/misc.rb'
require 'roebe'

Gem::Specification.new { |s|

  s.name        = 'opn'
  s.version     = Opn::VERSION
  s.date        = Time.now.strftime('%Y-%m-%d')
  
  s.summary = <<-EOF

    This library is called opn. It will simply output the
    name of the class. Optionally, you can assign another
    namespace to report with. For an explanation, just
    look at the few examples under the test/ directory.

    Why did I write it?

    I wrote many different ruby classes, and sometimes they will
    report information to me, but I don't know which file wrote
    this. So I wanted to simply have output prefaced with the
    name of the class in question, optionally to be colourized
    as well, since that helps me on the commandline.
    
    The name "opn" stands for "output program name".

    Version 1.0.2 now has a proper module, called Opn,
    and Opn has only one method called opn().


  EOF
  
  s.description = <<-EOF

    This library is called opn. It will simply output the
    name of the class. Optionally, you can assign another
    namespace to report with. For an explanation, just
    look at the few examples under the test/ directory.

    Why did I write it?

    I wrote many different ruby classes, and sometimes they will
    report information to me, but I don't know which file wrote
    this. So I wanted to simply have output prefaced with the
    name of the class in question, optionally to be colourized
    as well, since that helps me on the commandline.

    The name "opn" stands for "output program name".

    Version 1.0.2 now has a proper module, called Opn,
    and Opn has only one method called opn().

  EOF
  require 'roebe'
  s.extra_rdoc_files = %w()
  
  s.authors  = ['Robert A. Heiler']
  s.email    = Roebe.email?
  s.files    = Dir['**/*']
  s.license  = 'MIT'
  s.homepage = 'https://rubygems.org/gems/opn'

  s.required_ruby_version     = '>= '+Roebe.third_most_stable_version_of_ruby
  s.required_rubygems_version = '>= '+Gem::VERSION
  s.rubygems_version          = '>= '+Gem::VERSION

}